org.jboss.logmanager

## Class LogService

- java.lang.Object
- - org.jboss.logmanager.LogService

    public final class LogService
    extends Object

A simple log service which can be used to remove any bootstrap handlers when a real handler is configured.

### Constructor Summary

Constructors
Constructor and Description
`LogService()`

### Method Summary

Methods
`void` `create()` Create lifecycle method.
`void` `destroy()` Destroy lifecycle method.
`void` `start()` Start method; removes and saves bootstrap handlers.
`void` `stop()` Stop method; removes root handlers and restores the bootstrap handlers.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogService

    public LogService()

### Method Detail

#### create

    public void create()

Create lifecycle method.

#### start

    public void start()

Start method; removes and saves bootstrap handlers.

#### stop

    public void stop()

Stop method; removes root handlers and restores the bootstrap handlers.

#### destroy

    public void destroy()

Destroy lifecycle method.